HTTP client that is based on request

### Hierarchy

- HttpClient

## Index

### Methods

- request

## Methods

### request

- request<TYPE_OF_BODY>(requestConfig: RequestOptions): Promise<Response<TYPE_OF_BODY>>

- - Defined in src/httpClient.ts:39

  Make a request

  #### Type parameters

  - #### TYPE_OF_BODY

  #### Parameters

  - ##### requestConfig: RequestOptions

    Configuration of the request

  #### Returns Promise<Response<TYPE_OF_BODY>>

Generated using TypeDoc